from bpy.types import PropertyGroup
from bpy.props import IntProperty, BoolProperty


class ActiveEmitterGeometryEmitterAnimProps(PropertyGroup):
    
    """ active_emitter_item.geometry_emitter.x """

    geometry_emitter_switch: IntProperty(name="Geometry Emitter", description="When Start Switch", default=1)
    geometry_emitter_animed: BoolProperty(default=False)